package com.bzd.system.service.jkgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 合约管理 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SJkglGyhyHyglContractinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSJkglGyhyHyglContractinfo(PageData pd)throws Exception {
        return daoSupport.update("SJkglGyhyHyglContractinfoMapper.addSJkglGyhyHyglContractinfo", pd);
    }

    public List<PageData> findSJkglGyhyHyglContractinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SJkglGyhyHyglContractinfoMapper.selectSJkglGyhyHyglContractinfoList", pd);
    }

    public Integer SJkglGyhyHyglContractinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SJkglGyhyHyglContractinfoMapper.SJkglGyhyHyglContractinfoRemove", pd);
    }


    public Integer updateSJkglGyhyHyglContractinfo(PageData pd)throws Exception {
        return daoSupport.update("SJkglGyhyHyglContractinfoMapper.updateSJkglGyhyHyglContractinfo", pd);
    }

}
